function MCpiWork(C,N)
% WORK: Slave for computing pi using MPITB
%
%	Work ( C, N)
%
%  C	#computers used (NOT including this one)
%  N	#samples for aggregate total number of random number
%
% # random samples falling in first quadrant will be sent the master
% implicit parameter: MPI rank
%  from 1 (1st slave) to C (last slave)

TAG=7;
global NEWORLD	% intracommunicator to parent (inherited from startup_slave)
MPI_Barrier(NEWORLD);			% initial Synch
 NULL=[];
 MPI_Send(NULL,0,TAG,NEWORLD);
 MPI_Recv(NULL,0,TAG,NEWORLD);
[info rank]=MPI_Comm_rank(NEWORLD);	% rank in intracomm = 1..C

%%%%%%%%%%%%%%%
% Computation %
%%%%%%%%%%%%%%%
f=inline('x.^2+y.^2','x' ,'y');
n=N/C;
rand('state',sum(100*clock)+rank*n)
x=rand(n,1); y=rand(n,1);
lsum=sum(f(x,y)<=1,1)

MPI_Send(lsum,0,TAG,NEWORLD);
